Bug 516337 - Review Request: perl-Devel-LeakGuard-Object - Scoped checks for object leaks
Summary: Review Request: perl-Devel-LeakGuard-Object - Scoped checks for object leaks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Devel-Lea...
Whiteboard:
Depends On: perl-latest
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-08 11:13 UTC by Iain Arnell
Modified: 2009-08-31 23:33 UTC (History)
3 users (show)

Fixed In Version: 0.06-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-22 06:59:19 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-08-08 11:13:58 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Devel-LeakGuard-Object.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Devel-LeakGuard-Object-0.06-1.fc12.src.rpm

Description:
This module provides tracking of objects, for the purpose of detecting
memory leaks due to circular references or innappropriate caching schemes.

Additional Comment:

build requires perl-latest (review at bug #516327)

*rt-0.10

Comment 1 Parag AN(पराग) 2009-08-09 03:52:55 UTC
will do this review

Comment 2 Iain Arnell 2009-08-11 16:54:40 UTC
perl-latest is there now, so scratch build available:

https://koji.fedoraproject.org/koji/taskinfo?taskID=1598708

Comment 3 Parag AN(पराग) 2009-08-21 09:39:42 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1619853
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f9ca4403d02ecbe819a5f69fe4afcc0ab141398e  Devel-LeakGuard-Object-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=60,  0 wallclock secs ( 0.03 usr  0.03 sys +  0.28 cusr  0.03 csys =  0.37 CPU)
+ Package perl-Devel-LeakGuard-Object-0.06-1.fc12.noarch =>
Provides: perl(Devel::LeakGuard::Object) = 0.06 perl(Devel::LeakGuard::Object::State) = 0.06
Requires: perl >= 0:5.008 perl(Carp) perl(Data::Dumper) perl(Devel::LeakGuard::Object) perl(Devel::LeakGuard::Object::State) perl(Devel::Peek) perl(List::Util) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)

+ Not a GUI application

Suggestions:
1) license should be "GPLv2+ or artistic" as per LICENSE file
APPROVED.

Comment 4 Iain Arnell 2009-08-21 11:34:02 UTC
Strange - I hadn't noticed that LICENSE file contains the text of GPLv2. But there's also a little chunk at the head of LICENSE explaining the terms of Perl itself (i.e. GPL+ or Artistic) and the license in the code itself (Object.pm and State.pm) is also "same terms as Perl itself". I believe that means it really is only "GPL+ or Artistic" and that the GPLv2 license text is for information only.

Comment 5 Iain Arnell 2009-08-21 11:46:37 UTC
New Package CVS Request
=======================
Package Name: perl-Devel-LeakGuard-Object
Short Description: Scoped checks for object leaks
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 6 Dennis Gilmore 2009-08-21 18:28:59 UTC
CVS Done

Comment 7 Fedora Update System 2009-08-22 06:47:48 UTC
perl-Devel-LeakGuard-Object-0.06-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Devel-LeakGuard-Object-0.06-1.fc11

Comment 8 Fedora Update System 2009-08-22 06:47:53 UTC
perl-Devel-LeakGuard-Object-0.06-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Devel-LeakGuard-Object-0.06-1.fc10

Comment 9 Fedora Update System 2009-08-31 23:29:26 UTC
perl-Devel-LeakGuard-Object-0.06-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-08-31 23:33:45 UTC
perl-Devel-LeakGuard-Object-0.06-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.